Package org.pushingpixels.substance.api.colorscheme

# Class DerivedColorsResolverLight

java.lang.Object
org.pushingpixels.substance.api.colorscheme.DerivedColorsResolverLight

All Implemented Interfaces:
  `SchemeDerivedColorsResolver`

public class DerivedColorsResolverLight extends Object implements SchemeDerivedColorsResolver
Resolver of derived colors for light color schemes. This class is not accessible outside the package and is for internal use only.

## Constructor Summary

Constructors
Constructor
Description
`DerivedColorsResolverLight()`

## Method Summary

Modifier and Type
Method
Description
`Color`
`getBackgroundFillColor(SubstanceColorScheme colorScheme)`
Returns the background fill color for `this` scheme.
`Color`
`getFocusRingColor(SubstanceColorScheme colorScheme)`
Returns the focus ring color for `this` scheme.
`Color`
`getLineColor(SubstanceColorScheme colorScheme)`
Returns the line color for `this` scheme.
`Color`
`getSelectionBackgroundColor(SubstanceColorScheme colorScheme)`
Returns the selection background color for `this` scheme.
`Color`
`getSelectionForegroundColor(SubstanceColorScheme colorScheme)`
Returns the selection foreground color for `this` scheme.
`Color`
`getTextBackgroundFillColor(SubstanceColorScheme colorScheme)`
Returns the text background fill color for `this` scheme.
`Color`
`getWatermarkDarkColor(SubstanceColorScheme colorScheme)`
Returns the watermark dark color for `this` scheme.
`Color`
`getWatermarkLightColor(SubstanceColorScheme colorScheme)`
Returns the watermark light color for `this` scheme.
`Color`
`getWatermarkStampColor(SubstanceColorScheme colorScheme)`
Resolves a derived color for a given color scheme.
`SchemeDerivedColorsResolver`
`invert()`
Inverts this resolver, for use with inverted color schemes and switching from light to dark schemes or vice versa.
`boolean`
`isDark()`
Determines if this resolver is for dark color schemes.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DerivedColorsResolverLight

public DerivedColorsResolverLight()

## Method Details

### isDark

public boolean isDark()
Description copied from interface: `SchemeDerivedColorsResolver`
Determines if this resolver is for dark color schemes.

Specified by:
  `isDark` in interface `SchemeDerivedColorsResolver`
Returns:
  `true` if it should be used in dark schemes

### invert

public SchemeDerivedColorsResolver invert()
Description copied from interface: `SchemeDerivedColorsResolver`
Inverts this resolver, for use with inverted color schemes and switching from light to dark schemes or vice versa.

Some resolvers may not support this option. They may choose to throw an `UnsupportedOperationException` in that case. Instead of throwing the exception developers may choose to simply return `this` signifying that the resolver cannot be inverted. Another option would be to use assertions, allowing the developers to discover mistakes during creation, but still being useful for clients:

     public void SchemeDerivedColorsResolver invert() {
         assert false : "this resolver cannot be inverted";

         return this;
     }

Specified by:
  `invert` in interface `SchemeDerivedColorsResolver`
Returns:
  an inversion of this resolver

### getWatermarkStampColor

public Color getWatermarkStampColor(SubstanceColorScheme colorScheme)
Description copied from interface: `SchemeDerivedColorsResolver`
Resolves a derived color for a given color scheme.

Specified by:
  `getWatermarkStampColor` in interface `SchemeDerivedColorsResolver`
Returns:
  the watermark stamp color for the supplied scheme.

### getWatermarkLightColor

public Color getWatermarkLightColor(SubstanceColorScheme colorScheme)
Description copied from interface: `SchemeDerivedColorsResolver`
Returns the watermark light color for `this` scheme.

Specified by:
  `getWatermarkLightColor` in interface `SchemeDerivedColorsResolver`
Returns:
  Watermark light color for `this` scheme.

### getWatermarkDarkColor

public Color getWatermarkDarkColor(SubstanceColorScheme colorScheme)
Description copied from interface: `SchemeDerivedColorsResolver`
Returns the watermark dark color for `this` scheme.

Specified by:
  `getWatermarkDarkColor` in interface `SchemeDerivedColorsResolver`
Returns:
  Watermark dark color for `this` scheme.

### getLineColor

public Color getLineColor(SubstanceColorScheme colorScheme)
Description copied from interface: `SchemeDerivedColorsResolver`
Returns the line color for `this` scheme.

Specified by:
  `getLineColor` in interface `SchemeDerivedColorsResolver`
Returns:
  The line color for `this` scheme.

### getSelectionForegroundColor

public Color getSelectionForegroundColor(SubstanceColorScheme colorScheme)
Description copied from interface: `SchemeDerivedColorsResolver`
Returns the selection foreground color for `this` scheme.

Specified by:
  `getSelectionForegroundColor` in interface `SchemeDerivedColorsResolver`
Returns:
  The selection foreground color for `this` scheme.

### getSelectionBackgroundColor

public Color getSelectionBackgroundColor(SubstanceColorScheme colorScheme)
Description copied from interface: `SchemeDerivedColorsResolver`
Returns the selection background color for `this` scheme.

Specified by:
  `getSelectionBackgroundColor` in interface `SchemeDerivedColorsResolver`
Returns:
  The selection background color for `this` scheme.

### getBackgroundFillColor

public Color getBackgroundFillColor(SubstanceColorScheme colorScheme)
Description copied from interface: `SchemeDerivedColorsResolver`
Returns the background fill color for `this` scheme.

Specified by:
  `getBackgroundFillColor` in interface `SchemeDerivedColorsResolver`
Returns:
  The background fill color for `this` scheme.

### getFocusRingColor

public Color getFocusRingColor(SubstanceColorScheme colorScheme)
Description copied from interface: `SchemeDerivedColorsResolver`
Returns the focus ring color for `this` scheme.

Specified by:
  `getFocusRingColor` in interface `SchemeDerivedColorsResolver`
Returns:
  The focus ring color for `this` scheme.

### getTextBackgroundFillColor

public Color getTextBackgroundFillColor(SubstanceColorScheme colorScheme)
Description copied from interface: `SchemeDerivedColorsResolver`
Returns the text background fill color for `this` scheme.

Specified by:
  `getTextBackgroundFillColor` in interface `SchemeDerivedColorsResolver`
Returns:
  The text background fill color for `this` scheme.